_mobile.css 2.2 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175
  1. /*=== MOBILE */
  2. /*===========*/
  3. @media (max-width: 840px) {
  4. .aside {
  5. transition: width 0.2s ease-in-out;
  6. &.aside_feed {
  7. padding: 0;
  8. }
  9. .tree .tree-folder .tree-folder-items .item a {
  10. padding: 0.5rem 1rem;
  11. }
  12. }
  13. .aside .toggle_aside,
  14. #overlay .close,
  15. .dropdown-menu .toggle_aside,
  16. #slider .toggle_aside {
  17. background-color: var(--main-first);
  18. &:hover {
  19. background-color: var(--main-first-alt);
  20. }
  21. .icon {
  22. filter: grayscale(100%) brightness(2.5);
  23. }
  24. }
  25. .header {
  26. .item {
  27. &.search {
  28. display: none;
  29. }
  30. &.configure {
  31. position: absolute;
  32. top: 0;
  33. right: 0;
  34. }
  35. }
  36. }
  37. #global {
  38. height: calc(100% - 8rem);
  39. }
  40. #panel {
  41. top: 0;
  42. right: 0;
  43. bottom: 0;
  44. left: 0;
  45. }
  46. main.prompt {
  47. max-width: 100%;
  48. min-width: auto;
  49. width: 75%;
  50. }
  51. .post {
  52. padding-left: 1rem;
  53. padding-right: 1rem;
  54. }
  55. .nav_menu {
  56. padding-left: 0;
  57. .btn {
  58. margin: 0;
  59. padding: 0.85rem 1.25rem;
  60. }
  61. .stick,
  62. .group {
  63. margin: 0.5rem 0.5rem;
  64. .btn {
  65. margin: 0;
  66. padding: 0.85rem 1.25rem;
  67. &.read_all {
  68. padding: 0.85rem 1.25rem;
  69. }
  70. }
  71. }
  72. .search {
  73. .input {
  74. max-width: 97%;
  75. width: 90px;
  76. &:focus {
  77. width: 400px;
  78. }
  79. }
  80. }
  81. }
  82. #nav_menu_read_all #nav_menu_read .dropdown-toggle.btn {
  83. background-image: none;
  84. }
  85. .nav_menu .stick #mark-read-menu .dropdown-toggle.btn {
  86. border-left-width: 0;
  87. border-radius: 5px;
  88. }
  89. #stream {
  90. .flux {
  91. .flux_header {
  92. padding: 0.5rem 0;
  93. }
  94. }
  95. }
  96. .dropdown-target:target {
  97. & ~ .dropdown-toggle::after {
  98. background-color: var(--grey-lighter);
  99. border-top: 1px solid var(--grey-light);
  100. border-left: 1px solid var(--grey-light);
  101. right: 21px;
  102. bottom: -14px;
  103. }
  104. & ~ a.dropdown-toggle {
  105. &:not(.btn) {
  106. &::after {
  107. bottom: -17px;
  108. }
  109. }
  110. }
  111. }
  112. .transition {
  113. text-align: center;
  114. padding: 1rem 0;
  115. .name {
  116. padding: 0;
  117. display: block;
  118. width: 100%;
  119. line-height: 1.5rem;
  120. margin-bottom: 1rem;
  121. }
  122. }
  123. #nav_entries button {
  124. height: 4.5rem;
  125. }
  126. .notification {
  127. border-radius: 0;
  128. a.close {
  129. background: transparent;
  130. display: block;
  131. left: 0;
  132. }
  133. a.close:hover {
  134. opacity: 0.5;
  135. }
  136. a.close .icon {
  137. display: none;
  138. }
  139. }
  140. }